Evernote.FS = {
    _addon : null,

    init : function(addon) {
        this._addon = addon;
    },

    /**
     * Write content to the specified path.
     * @param path - file path.
     * @param content - content, that should be written to
     */
    writeToFile : function(path, content) {
        if (!this._addon)
            return;
        try {
            this._addon.WriteFileContent( path, content );
        } catch (e) {
            Evernote.Logger.error( "FS.WriteFileContent() failed " + e );
        }
    },

    /**
     * Read content of the file specified by path.
     * @param path - file path.
     * @return {string} - content of the file
     */
    getFileContent : function(path) {
        if (!this._addon)
            return null;
        try {
            return this._addon.ReadFileContent( path );
        } catch (e) {
            Evernote.Logger.error( "FS.ReadFileContent() failed " + e );
        }
        return null;
    }
};
